define(
{
    "reducedVersion":true,
    "toc":[
        {
            "heading":"Table of Contents",
            "topics":[
                {
                    "title":"Title and Copyright Information",
                    "href":"index.html"
                },
                {
                    "title":"Preface",
                    "href":"preface.html#GUID-6C5875FE-9765-45E6-9EC7-0D6EAEE3F95D"
                },
                {
                    "title":"<span class=\"secnum\">1 </span> Introducing Oracle NoSQL Database Security",
                    "href":"introducing-oracle-nosql-database-security.html"
                },
                {
                    "title":"<span class=\"secnum\">2 </span> Security Configuration",
                    "href":"security-configuration.html",
                    "topics":[
                        {
                            "title":"Security Configuration Overview",
                            "href":"security-configuration-overview.html"
                        },
                        {
                            "title":"Configuring Security with Makebootconfig",
                            "href":"configuring-security-makebootconfig.html"
                        },
                        {
                            "title":"Configuring Security with Securityconfig",
                            "href":"configuring-security-securityconfig.html#GUID-75A22C83-F93A-481E-A047-9ABFD9250A97"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">3 </span> Performing a Secure Oracle NoSQL Database Installation",
                    "href":"performing-secure-oracle-nosql-database-installation.html",
                    "topics":[
                        {
                            "title":"Single Node Secure Deployment",
                            "href":"single-node-secure-deployment.html#GUID-80A1A428-03E1-40D7-A160-10E2DC402FD5"
                        },
                        {
                            "title":"Multiple Node Secure Deployment",
                            "href":"multiple-node-secure-deployment.html#GUID-D5BF4544-7E84-4503-8761-BBC887A7F665"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">4 </span> Kerberos Authentication Service",
                    "href":"kerberos-authentication-service.html",
                    "topics":[
                        {
                            "title":"Installation Prerequisites",
                            "href":"installation-prerequisites.html"
                        },
                        {
                            "title":"Kerberos Principal",
                            "href":"kerberos-principal.html"
                        },
                        {
                            "title":"Keytabs",
                            "href":"keytabs.html"
                        },
                        {
                            "title":"Kadmin and kadmin.local",
                            "href":"kadmin-and-kadmin-local.html"
                        },
                        {
                            "title":"Kerberos Security Properties",
                            "href":"kerberos-security-properties.html#GUID-F6E70E92-7EDF-4565-8E71-B59FBC90097F"
                        },
                        {
                            "title":"JAAS programming framework integration",
                            "href":"jaas-programming-framework-integration.html"
                        },
                        {
                            "title":"Performing a Secure Oracle NoSQL Database Installation with Kerberos",
                            "href":"performing-secure-installation-kerberos.html#GUID-5F3DC029-4B6C-44D7-A8C6-358F16FFD036"
                        },
                        {
                            "title":"Using Oracle NoSQL Database with Kerberos and Microsoft Active Directory (AD)",
                            "href":"using-kerberos-and-microsoft-active-directory-ad.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">5 </span> External Password Storage",
                    "href":"external-password-storage.html",
                    "topics":[
                        {
                            "title":"Oracle Wallet",
                            "href":"oracle-wallet.html"
                        },
                        {
                            "title":"Password store file",
                            "href":"password-store-file.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">6 </span> Security.xml Parameters",
                    "href":"security-xml-parameters.html",
                    "topics":[
                        {
                            "title":"Top-level parameters",
                            "href":"top-level-parameters.html"
                        },
                        {
                            "title":"Transport parameters",
                            "href":"transport-parameters.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">7 </span> Encryption",
                    "href":"encryption.html",
                    "topics":[
                        {
                            "title":"SSL model",
                            "href":"ssl-model.html"
                        },
                        {
                            "title":"SSL communication properties",
                            "href":"ssl-communication-properties.html"
                        },
                        {
                            "title":"Disk Encryption in a Linux Environment",
                            "href":"disk-encryption-linux-environment.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">8 </span> Configuring Authentication",
                    "href":"configuring-authentication.html",
                    "topics":[
                        {
                            "title":"User Management",
                            "href":"user-management.html#GUID-3336FBBB-C9C1-433C-9B32-9D02C8C739F7"
                        },
                        {
                            "title":"Sessions",
                            "href":"sessions.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">9 </span> Configuring Authorization",
                    "href":"configuring-authorization.html",
                    "topics":[
                        {
                            "title":"Privileges",
                            "href":"privileges.html#GUID-E6D6C912-E98D-420A-B79E-B9230F2D5506"
                        },
                        {
                            "title":"Roles",
                            "href":"roles.html#GUID-BD523202-B7C7-4A53-9975-FE2B07A112A5"
                        },
                        {
                            "title":"Managing Roles, Privileges and Users",
                            "href":"managing-roles-privileges-and-users.html#GUID-CD02EBAB-2EA5-421A-9784-967C7239CA38"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">10 </span> Security Policies",
                    "href":"security-policies.html",
                    "topics":[
                        {
                            "title":"Security Policy Modifications",
                            "href":"security-policy-modifications.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">11 </span> Audit Logging",
                    "href":"audit-logging.html",
                    "topics":[
                        {
                            "title":"Security Log Messages",
                            "href":"security-log-messages.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">12 </span> Keeping Oracle NoSQL Database Secure",
                    "href":"keeping-oracle-nosql-database-secure.html",
                    "topics":[
                        {
                            "title":"Guidelines for Securing the Configuration",
                            "href":"guidelines-securing-configuration.html"
                        },
                        {
                            "title":"Guideline for Securing Store Topology",
                            "href":"guideline-securing-store-topology.html"
                        },
                        {
                            "title":"Guidelines for Deploying Secure Applications",
                            "href":"guidelines-deploying-secure-applications.html"
                        },
                        {
                            "title":"Guidelines for Securing the SSL protocol",
                            "href":"guidelines-securing-ssl-protocol.html"
                        },
                        {
                            "title":"Guidelines for Disabling TLSv1.1 and TLSv1 Protocols",
                            "href":"guidelines-disabling-tlsv1.1-and-tlsv1-protocols.html"
                        },
                        {
                            "title":"Guidelines for enabling TLSV1.3 protocol",
                            "href":"guidelines-enabling-tlsv1.3-protocol.html"
                        },
                        {
                            "title":"Guidelines for using JMX securely",
                            "href":"guidelines-using-jmx-securely.html"
                        },
                        {
                            "title":"Guidelines for using PKCS12 Java KeyStore",
                            "href":"guidelines-using-pkcs12-java-keystore.html#GUID-CCB5E810-5332-4E62-A0AC-1D58B84115D5"
                        },
                        {
                            "title":"Guidelines for Updating Keystore Passwords",
                            "href":"guidelines-updating-keystore-passwords.html"
                        },
                        {
                            "title":"Guidelines for Updating Kerberos Passwords",
                            "href":"guidelines-updating-kerberos-passwords.html"
                        },
                        {
                            "title":"Guidelines for Updating SSL Keys and Certificates",
                            "href":"guidelines-updating-ssl-key-certificate.html"
                        },
                        {
                            "title":"Guidelines for Configuring External Certificates for a new Installation",
                            "href":"guidelines-configuring-external-certificates-new-installation.html"
                        },
                        {
                            "title":"Guidelines for Configuring External Certificates for an Existing Default Secure Installation",
                            "href":"guidelines-configuring-external-certificates-existing-default-secure-installation.html"
                        },
                        {
                            "title":"Guidelines for Updating the External Certificates",
                            "href":"guidelines-updating-external-certificates.html"
                        },
                        {
                            "title":"Guidelines for Operating System Security",
                            "href":"guidelines-operating-system-security.html"
                        },
                        {
                            "title":"Guidelines for Resetting Admin Password",
                            "href":"guidelines-resetting-admin-password.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">A </span> Password Complexity Policies",
                    "href":"password-complexity-policies.html"
                },
                {
                    "title":"<span class=\"secnum\">B </span> SSL keystore generation",
                    "href":"ssl-keystore-generation.html"
                },
                {
                    "title":"<span class=\"secnum\">C </span> Java KeyStore Preparation",
                    "href":"java-keystore-preparation.html",
                    "topics":[
                        {
                            "title":"Import Key Pair to Java Keystore",
                            "href":"import-key-pair-java-keystore.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">D </span> KVStore Required Privileges",
                    "href":"kvstore-required-privileges.html",
                    "topics":[
                        {
                            "title":"Privileges for Accessing CLI Commands",
                            "href":"privileges-accessing-cli-commands.html"
                        },
                        {
                            "title":"Privileges for DDL Commands",
                            "href":"privileges-ddl-commands.html"
                        },
                        {
                            "title":"Privileges for Accessing KVStore APIs",
                            "href":"privileges-accessing-kvstore-apis.html"
                        },
                        {
                            "title":"Privileges for Accessing KVStore TableAPIs",
                            "href":"privileges-accessing-kvstore-tableapis.html"
                        },
                        {
                            "title":"Privileges for Accessing KvLargeObject APIs",
                            "href":"privileges-accessing-kvlargeobject-apis.html"
                        },
                        {
                            "title":"Privileges for Running XRegion Service",
                            "href":"privileges-running-xregion-service.html"
                        }
                    ]
                },
                {
                    "title":"<span class=\"secnum\">E </span> Configuring the Kerberos Administrative Utility",
                    "href":"configuring-kerberos-administrative-utility.html"
                },
                {
                    "title":"<span class=\"secnum\">F </span> Manually Registering Oracle NoSQL Database Service Principal",
                    "href":"manually-registering-service-principal.html"
                },
                {
                    "title":"<span class=\"secnum\">G </span> Generating Certificate and Private Key for the Oracle NoSQL Database Proxy",
                    "href":"generating-certificate-and-private-key-proxy.html",
                    "topics":[
                        {
                            "title":"Guidelines for Generating Self-Signed Certificate and Private Key using OpenSSL",
                            "href":"ssl-using-openssl.html"
                        },
                        {
                            "title":"Guidelines for Generating Certificate Chain and Private Key using OpenSSL",
                            "href":"ca-using-openssl.html"
                        },
                        {
                            "title":"Troubleshooting issues with self-signed certificate",
                            "href":"troubleshooting-issues-self-signed-certificate.html"
                        }
                    ]
                }
            ]
        }
    ]
});